Subject: Re: linux-next: build warning after merge of the btrfs-kdave tree

From: Qu Wenruo <[email-masked]>
Date: Fri, 22 Dec 2017 08:32:03 +0800

On 2017年12月22日 00:49, David Sterba wrote:
> On Wed, Dec 20, 2017 at 08:12:11AM +0800, Qu Wenruo wrote:
>> On 2017年12月20日 06:20, Stephen Rothwell wrote:
>>> After merging the btrfs-kdave tree, today's linux-next build (powerpc
>>> ppc64_defconfig) produced this warning:
>>>
>>> fs/btrfs/qgroup.c: In function 'qgroup_reserve':
>>> fs/btrfs/qgroup.c:2432:1: warning: label 'retry' defined but not used [-Wunused-label]
>>>  retry:
>>>  ^
>>>
>>> Introduced by commit
>>>
>>>   b283738ab0ad ("Revert "btrfs: qgroups: Retry after commit on getting EDQUOT"")
>>>
>> Sorry, I forgot to clean it up.
>>
>> I'll update the patchset along with new patches to handle qgroup limit
>> better.
> 
> Meanwhile I've applied the fix from Arnd to silence the warning in
> linux-next builds.
> 

Some (not much, may be 2 or 3) patches is going to be updated:

btrfs: delayed-inode: Use new qgroup meta rsv for delayed inode and item
Revert "btrfs: qgroups: Retry after commit on getting EDQUOT" ( For the
lable)

And with 2 more new patches.

Do I need to resend the patchset or use separate patches for them?

Thanks,
Qu